# Reference

## boost::redis::resp3::basic_node

A node in the response tree.

### Synopsis

Declared in `<boost/redis/resp3/node.hpp>`

    template<class String>
    struct basic_node;

### Data Members

Name | Description
`data_type` | The RESP3 type of the data in this node.
`aggregate_size` | The number of elements of an aggregate.
`depth` | The depth of this node in the response tree.
`value` | The actual data. For aggregate types this is usually empty.

### Non-Member Functions

Name | Description
`operator==` | Compares a node for equality.

### Description

RESP3 can contain recursive data structures, like a map of sets of vectors. This class is called a node because it can be seen as the element of the response tree. It is a template so that users can use it with any string type, like `std::string` or `boost::static_string`.

### Template Parameters

Name | Description
String | A `std::string`‐like type.

Created with MrDocs